## Processing Status

### cURL

```
curl --request GET \
  --url https://api.withflex.com/v1/products/processing_status \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.withflex.com/v1/products/processing_status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/products/processing_status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/products/processing_status",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/products/processing_status"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/products/processing_status")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/products/processing_status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Codes
- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Example Responses
```
{
  "pending_classification": 142,
  "pending_classification_capped": false
}
```

```
{
  "code": "string",
  "detail": "string"
}
```

```
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```

### Authorizations

**Authorization**  
`string`  
**header**  
**required**  
Use a Bearer token to access this API.

### Response Details
**200**  
**application/json**  
Catalog-wide eligibility processing status for the authenticated account.

#### Fields
- **pending_classification**: How many active products are still awaiting automatic HSA/FSA eligibility classification.
- **pending_classification_capped**: True when `pending_classification` hit its ceiling.
